Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.metadata
Class PortletApplication20MetaData

    java.lang.Object
      org.jboss.portal.portlet.impl.metadata.PortletApplication10MetaData
          org.jboss.portal.portlet.impl.metadata.PortletApplication20MetaData

Direct Known Subclasses:
  AnnotationPortletApplication20MetaData

    public class PortletApplication20MetaData

extends PortletApplication10MetaData

Version:
  $Revision$
Author:
  Emanuel Muckenhuber

Constructor Summary
`PortletApplication20MetaData()`

Method Summary
`void` | `addContainerRuntime(ContainerRuntimeMetaData option)`
`void` | `addEventDefinition(EventDefinitionMetaData eventDefinition)`
`void` | `addFilter(FilterMetaData filter)`
`void` | `addFilterMapping(FilterMappingMetaData filterMapping)`
`void` | `addListener(ListenerMetaData listener)`
`void` | `addPublicRenderParameter(PublicRenderParameterMetaData renderParameter)`
`ContainerRuntimeMetaData` | `getContainerRuntimeOption(java.lang.String option)`
`java.util.Map<java.lang.String,ContainerRuntimeMetaData>` | `getContainerRuntimeOptions()`
`java.util.Set<java.lang.String>` | `getContainerRuntimeOptionSet()`
`java.net.URI` | `getDefaultNamespace()`
`java.util.List<EventDefinitionMetaData>` | `getEvents()`
`FilterMetaData` | `getFilter(java.lang.String filterName)`
`java.util.Collection<FilterMetaData>` | `getFilterCollection()`
`java.util.List<FilterMappingMetaData>` | `getFilterMapping()`
`java.util.Map<java.lang.String,FilterMetaData>` | `getFilters()`
`java.util.List<ListenerMetaData>` | `getListeners()`
`java.util.List<PublicRenderParameterMetaData>` | `getPublicRenderParameters()`
`java.lang.String` | `getResourceBundle()`
`void` | `setContainerRuntimeOptions(java.util.Map<java.lang.String,ContainerRuntimeMetaData> containerRuntimeOptions)`
`void` | `setDefaultNamespace(java.net.URI defaultNamespace)`
`void` | `setEvents(java.util.List<EventDefinitionMetaData> events)`
`void` | `setFilterMapping(java.util.List<FilterMappingMetaData> filterMapping)`
`void` | `setFilters(java.util.Map<java.lang.String,FilterMetaData> filters)`
`void` | `setListeners(java.util.List<ListenerMetaData> listeners)`
`void` | `setPublicRenderParameters(java.util.List<PublicRenderParameterMetaData> publicRenderParameters)`
`void` | `setResourceBundle(java.lang.String resourceBundle)`

Methods inherited from class org.jboss.portal.portlet.impl.metadata.PortletApplication10MetaData
`addCustomPortletMode, addCustomWindowState, addPortlet, addSecurityConstraint, addUserAttribute, getCustomPortletModes, getCustomWindowStates, getId, getPortlet, getPortletCollection, getPortlets, getSecurityConstraints, getUserAttributes, getVersion, setCustomPortletModes, setCustomWindowStates, setId, setPortlets, setSecurityConstraints, setUserAttributes, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletApplication20MetaData

    public PortletApplication20MetaData()

Method Detail

### getResourceBundle

    public java.lang.String getResourceBundle()

### setResourceBundle

    public void setResourceBundle(java.lang.String resourceBundle)

### getDefaultNamespace

    public java.net.URI getDefaultNamespace()

### setDefaultNamespace

    public void setDefaultNamespace(java.net.URI defaultNamespace)

### getFilters

    public java.util.Map<java.lang.String,FilterMetaData> getFilters()

### setFilters

    public void setFilters(java.util.Map<java.lang.String,FilterMetaData> filters)

### getFilterCollection

    public java.util.Collection<FilterMetaData> getFilterCollection()

### getFilter

    public FilterMetaData getFilter(java.lang.String filterName)

### addFilter

    public void addFilter(FilterMetaData filter)

### getFilterMapping

    public java.util.List<FilterMappingMetaData> getFilterMapping()

### setFilterMapping

    public void setFilterMapping(java.util.List<FilterMappingMetaData> filterMapping)

### addFilterMapping

    public void addFilterMapping(FilterMappingMetaData filterMapping)

### getEvents

    public java.util.List<EventDefinitionMetaData> getEvents()

### setEvents

    public void setEvents(java.util.List<EventDefinitionMetaData> events)

### addEventDefinition

    public void addEventDefinition(EventDefinitionMetaData eventDefinition)

### getPublicRenderParameters

    public java.util.List<PublicRenderParameterMetaData> getPublicRenderParameters()

### setPublicRenderParameters

    public void setPublicRenderParameters(java.util.List<PublicRenderParameterMetaData> publicRenderParameters)

### addPublicRenderParameter

    public void addPublicRenderParameter(PublicRenderParameterMetaData renderParameter)

### getListeners

    public java.util.List<ListenerMetaData> getListeners()

### setListeners

    public void setListeners(java.util.List<ListenerMetaData> listeners)

### addListener

    public void addListener(ListenerMetaData listener)

### getContainerRuntimeOptions

    public java.util.Map<java.lang.String,ContainerRuntimeMetaData> getContainerRuntimeOptions()

### setContainerRuntimeOptions

    public void setContainerRuntimeOptions(java.util.Map<java.lang.String,ContainerRuntimeMetaData> containerRuntimeOptions)

### getContainerRuntimeOption

    public ContainerRuntimeMetaData getContainerRuntimeOption(java.lang.String option)

### getContainerRuntimeOptionSet

    public java.util.Set<java.lang.String> getContainerRuntimeOptionSet()

### addContainerRuntime

    public void addContainerRuntime(ContainerRuntimeMetaData option)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.